> For a complete page index, fetch https://developer.close.com/llms.txt # Fetch a single user GET https://api.close.com/api/v1/user/{id}/ Reference: https://developer.close.com/api/resources/users/get ## Authentication - `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty. - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `id` (string, required) ### Query parameters - `_order_by` (enum, optional) - Allowed values: `last_name,first_name`, `first_name,last_name` - `_limit` (integer, optional, default: 100) — Number of results to return. - `_skip` (integer, optional, default: 0) — Number of results to skip before returning, for pagination. ## Response ### 200 Successful response ## Errors ### 400 Bad Request Error Bad request - `any` ### 401 Unauthorized Error Unauthorized - `any` ### 404 Not Found Error Not found - `any` ## Examples **Response** ```json { "date_created": "2012-08-29T00:33:22.720000+00:00", "date_updated": "2013-05-08T01:57:15.204000+00:00", "email": "stefan@close.com", "first_name": "Stefan", "id": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA", "image": "https://secure.gravatar.com/avatar/a4bec4594864f1896c4750328b1d7470", "last_name": "Wojcik", "organizations": [ "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH" ] } ``` **SDK Code** ```python users_get_example import requests url = "https://api.close.com/api/v1/user/id/" response = requests.get(url, auth=("", "")) print(response.json()) ``` ```javascript users_get_example const url = 'https://api.close.com/api/v1/user/id/'; const credentials = btoa(":"); const options = {method: 'GET', headers: {Authorization: `Basic ${credentials}`}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go users_get_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.close.com/api/v1/user/id/" req, _ := http.NewRequest("GET", url, nil) req.SetBasicAuth("", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby users_get_example require 'uri' require 'net/http' url = URI("https://api.close.com/api/v1/user/id/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request.basic_auth("", "") response = http.request(request) puts response.read_body ``` ```java users_get_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.close.com/api/v1/user/id/") .basicAuth("", "") .asString(); ``` ```php users_get_example request('GET', 'https://api.close.com/api/v1/user/id/', [ 'headers' => [ ], 'auth' => ['', ''], ]); echo $response->getBody(); ``` ```csharp users_get_example using RestSharp; using RestSharp.Authenticators; var client = new RestClient("https://api.close.com/api/v1/user/id/"); client.Authenticator = new HttpBasicAuthenticator("", ""); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ```